OpenVDB: Page Class Reference

OpenVDB 12.1.1

Loading...
Searching...
No Matches
Page Class Reference

Stores a variable-size, compressed, delayed-load Page of data that is loaded into memory when accessed. Access to the Page is thread-safe as loading and decompressing the data is protected by a mutex. More...

`#include <openvdb/points/StreamCompression.h>`

## Public Types
using | Ptr = std::shared_ptr<Page>

## Public Member Functions
| Page ()=default
void | load () const
| load the Page into memory
long | uncompressedBytes () const
| Uncompressed bytes of the Paged data, available when the header has been read.
const char * | buffer (const int index) const
| Retrieves a data pointer at the specific.
void | readHeader (std::istream &)
| Read the Page header.
void | readBuffers (std::istream &, bool delayed)
| Read the Page buffers. If delayed is true, stream pointers will be stored to load the data lazily.
bool | isOutOfCore () const
| Test if the data is out-of-core.

## Detailed Description

Stores a variable-size, compressed, delayed-load Page of data that is loaded into memory when accessed. Access to the Page is thread-safe as loading and decompressing the data is protected by a mutex.

## Member Typedef Documentation

## ◆ Ptr

using Ptr = std::shared_ptr<Page>

## Constructor & Destructor Documentation

## ◆ Page()

Page | ( |  | ) |
| default

## Member Function Documentation

## ◆ buffer()

const char * buffer | ( | const int | index | ) | const

Retrieves a data pointer at the specific.

Parameters

  index |

Note
  Will force a Page load when called.

## ◆ isOutOfCore()

bool isOutOfCore | ( |  | ) | const

Test if the data is out-of-core.

## ◆ load()

void load | ( |  | ) | const

load the Page into memory

## ◆ readBuffers()

void readBuffers | ( | std::istream & | ,
|  | bool | delayed )

Read the Page buffers. If delayed is true, stream pointers will be stored to load the data lazily.

## ◆ readHeader()

void readHeader | ( | std::istream & |  | ) |

Read the Page header.

## ◆ uncompressedBytes()

long uncompressedBytes | ( |  | ) | const

Uncompressed bytes of the Paged data, available when the header has been read.